#include <esp_sleep.h>

#define LED_PIN 2

void setup() {
  pinMode(LED_PIN, OUTPUT);
  Serial.begin(115200);
}

void loop() {
  // LED ON (czas aktywny)
  digitalWrite(LED_PIN, HIGH);
  Serial.println("ESP32 aktywne – LED ON");
  delay(5000);  // symulacja pracy przez 2 sekundy

  // Przygotowanie do light sleep
  Serial.println("Przechodzę w light sleep na 5 sekund...");
  digitalWrite(LED_PIN, LOW); // LED OFF w czasie uśpienia
  delay(100); 
  // Konfiguracja wybudzenia po czasie
  esp_sleep_enable_timer_wakeup(5 * 1000000ULL); // 5s w mikrosekundach

  // Wejście w light sleep
  esp_light_sleep_start();

  // Po wybudzeniu wracamy tutaj
  Serial.println("Wybudzono z light sleep!");
}

